<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
  
CU-NP-FA-211 Entregar resultado de levantamiento topográfico

@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Entregar resultado de levantamiento topográfico::.
    </ui:define>

    <ui:define name="content">
        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsEntregarResultadoDeLevantamiento"
                    showDetail="false" globalOnly="false" />

        <h:form prependId="false" id="entregarResultadoDeLevantamientoForm">
            <p:panel header="Entregar resultado de levantamiento topográfico">

                <h:panelGrid columns="3">

                    <h:outputLabel value="Topógrafo:" styleClass="outputLabelStyle" />
                    <p:spacer height="30" width="0" />
                    <h:outputText value="#{entregarResultadoDeLevantamientoTopografico.usuario.nombreCompleto}" 
                                  styleClass="outputLabelStyle" />

                </h:panelGrid>

                <p:dataTable value="" var="tramiteVar" id="infoTable"
                             paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                             rowKey="" emptyMessage="No se encontraron trámites">

                    <p:column selectionMode="multiple" />

                    <p:column headerText="Manzanas / Áreas" filterBy="" sortBy="">
                        <h:outputText styleClass="outputTextStyle" value="">
                        </h:outputText>
                    </p:column>
                </p:dataTable>

                <p:spacer width="0" height="30" />

                <h:outputLabel value="Informe de levantamiento"
                               styleClass="outputLabelStyle" />

                <h:panelGrid columns="2" width="100%">
                    <h:panelGrid>

                        <h:panelGrid columns="2">
                            <h:outputLabel value="Tiempo programado Vs. Tiempo utilizado"
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:inputTextarea rows="5" cols="80"
                                         value="#{entregarResultadoDeLevantamientoTopografico.tiempoProgramado}" />

                        <h:panelGrid columns="2">
                            <h:outputLabel value="Trabajo programado Vs. Trabajo realizado"
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:inputTextarea rows="5" cols="80"
                                         value="#{entregarResultadoDeLevantamientoTopografico.trabajoProgramado}" />

                        <h:outputLabel value="Inconvenientes administrativos"
                                       styleClass="outputLabelStyle" />
                        <h:inputTextarea rows="5" cols="80"
                                         value="#{entregarResultadoDeLevantamientoTopografico.inconvenientesAdministrativos}" />

                        <h:panelGrid columns="2">
                            <h:outputLabel
                                value="Aspectos Técnicos. Resumen de actividades desarrolladas"
                                styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:inputTextarea rows="5" cols="80"
                                         value="#{entregarResultadoDeLevantamientoTopografico.resumenActividades}" />

                    </h:panelGrid>

                    <h:panelGrid>

                        <h:outputLabel value="Inconvenientes. Factor humano"
                                       styleClass="outputLabelStyle" />
                        <h:inputTextarea rows="5" cols="80"
                                         value="#{entregarResultadoDeLevantamientoTopografico.inconvenientesHumano}" />

                        <h:outputLabel value="Inconvenientes. De tipo técnico"
                                       styleClass="outputLabelStyle" />
                        <h:inputTextarea rows="5" cols="80"
                                         value="#{entregarResultadoDeLevantamientoTopografico.inconvenientesTecnico}" />

                        <h:outputLabel value="Inconvenientes. De tipo logístico"
                                       styleClass="outputLabelStyle" />
                        <h:inputTextarea rows="5" cols="80"
                                         value="#{entregarResultadoDeLevantamientoTopografico.inconvenientesLogistico}" />

                        <h:outputLabel value="Inconvenientes. De tipo social"
                                       styleClass="outputLabelStyle" />
                        <h:inputTextarea rows="5" cols="80"
                                         value="#{entregarResultadoDeLevantamientoTopografico.inconvenientesSocial}" />

                    </h:panelGrid>

                </h:panelGrid>

                <p:spacer width="0" height="30" />

                <p:commandButton value=" Ver área asignada" id="verMapa"
                                 widgetVar="verMapaVar" immediate="true" type="button"
                                 icon="ui-icon-image"
                                 onclick="cargarMapa('#{gestionarAsignacionDeTopografos.applicationClientName}');"/>

                <p:spacer width="30" height="0" />

                <p:commandButton value="Finalizar"
                                 title="Registra informe de levantamiento"
                                 oncomplete="adjDocumentosWV.show();" process="@this">
                </p:commandButton>

            </p:panel>

            <div id="mapDiv">
                <iframe id="mapIframe" name="mapIframe" src="" width="800"
                        height="500" align="left" scrolling="no" frameborder="0">
                    Su navegador no soporta esta funcionalidad.</iframe>
            </div>

        </h:form>

        <p:dialog header="Detalle del trámite"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="../../conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallesPredioWV" />
            </ui:include>
        </p:dialog>


        <p:dialog header="SBC" widgetVar="adjDocumentosWV" modal="true"
                  appendToBody="true" resizable="true" position="center" width="1024"
                  height="500">
            <ui:include
                src="../../conservacion/asignacion/asignacionOficio.xhtml"
                id="asignacionOficioModal">
            </ui:include>
        </p:dialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

    </ui:define>
</ui:composition>